<template>
  <el-table :data="list">
    <el-table-column label="商品名称" prop="flowerName"></el-table-column>
    <el-table-column label="商品等级" prop="flowerLevelStr"></el-table-column>
    <el-table-column label="商品数量" prop="num"></el-table-column>
    <el-table-column label="单价" prop="price"></el-table-column>
    <el-table-column label="供应商名称" prop="supplierName"></el-table-column>
    <el-table-column label="质检备注" prop="checkRemarks"></el-table-column>
  </el-table>
</template>

<script>
export default {
  props: {
    orderId: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      list: [],
    }
  },
  watch: {
    orderId(value) {
      if (value) {
        this.getOrderItemList(value)
      }
    },
  },
  methods: {
    async getOrderItemList(id) {
      const { code, data } = await this.$elBusHttp.request(
        'flower/api/order/item/list',
        { params: { id } }
      )
      if (code === 0) {
        this.list = (data || []).filter((i) => i.status === 'reduce')
      }
    },
  },
}
</script>

<style lang="scss" scoped>
.level-down-list {
}
</style>
